Subject: RE: bug#15746: 24.3; [PATCH] bookmark should confirm when overwrite

From: Drew Adams <[email-masked]>
Date: Wed, 30 Oct 2013 07:07:57 -0700 (PDT)

> How 'bout we use a slightly lighter weight y-or-n-p which accepts
> RET to mean "yes"?

Yes.

> This way, Drew can hit RET RET when he knows he's overwriting an
> existing bookmark.

No.  There still should be two different commands.  Updating a
bookmark should not always require interacting with a confirmation
query.

There is really no good reason for such complexity.  Make both
use cases equally easy.  Provide `C-x r m' and `C-x r M'.  Simple.